##
##  libsieve.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         libsieve
Summary:      Sieve Mail Filtering Script Library
URL:          http://libsieve.sourceforge.net/
Vendor:       Aaron Stone et al.
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Mail
License:      LGPL/MIT
Version:      2.2.7
Release:      20081116

#   list of sources
Source0:      http://osdn.dl.sourceforge.net/libsieve/libsieve-%{version}.tar.gz
Patch0:       libsieve.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130, make, gcc, bison, flex
PreReq:       OpenPKG, openpkg >= 20040130
AutoReq:      no
AutoReqProv:  no

%description
    libSieve is a library for parsing, sorting and filtering your mail.
    libSieve provides a library to interpret Sieve scripts, and to
    execute those scripts over a given set of messages. The return codes
    from the libSieve functions let your program know how to handle the
    message. libSieve makes no attempt to have knowledge of how SMTP,
    IMAP, or anything else work, just how to parse and deal with a
    buffer full of emails.

%track
    prog libsieve = {
        version   = %{version}
        url       = http://prdownloads.sourceforge.net/libsieve/
        regex     = libsieve-(\d+(\.\d+)+)\.tar\.(gz|bz2)
    }

%prep
    %setup -q
    %patch -p0

%build
    #   configure library
    cd src
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    YACC="%{l_prefix}/bin/bison -y" \
    LEX="%{l_prefix}/bin/flex" \
    ./configure \
        --prefix=%{l_prefix} \
        --disable-shared

    #   build library
    %{l_make} %{l_mflags -O}

%install
    #   install library
    rm -rf $RPM_BUILD_ROOT
    ( cd src
      %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    ) || exit $?

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

